Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Policy_Creator Class Reference

This class is a utility for clients using the CosTrading::Lookup interface that helps them build a policy sequence without violating syntax rules and having to mess with typecodes. More...

`#include <Trader_Utils.h>`

List of all members.

## Public Methods
| TAO_Policy_Creator (int num_policies=0)
void | search_card (CORBA::ULong scard)
| Set the maximum number of offers searched for the query. More...
void | match_card (CORBA::ULong mcard)
| Set the maximum number of offers searched for the query. More...
void | return_card (CORBA::ULong rcard)
| Set the maximum number of offers rerturned for the query. More...
void | use_modifiable_properties (CORBA::Boolean mod_props)
| Consider offers with modifiable properties. More...
void | use_dynamic_properties (CORBA::Boolean dyn_props)
| Consider offers with dynamic properties. More...
void | use_proxy_offers (CORBA::Boolean prox_offs)
| Consider proxy offers (NOT SUPPORTED). More...
void | starting_trader (const CosTrading::TraderName &name)
| Designate a trader at which to begin the query. More...
void | starting_trader (CosTrading::TraderName *name)
void | link_follow_rule (CosTrading::FollowOption follow_option)
| Specify under what conditions a federated query is appropriate. More...
void | hop_count (CORBA::ULong hop_count)
| Limit the breadth of a federated query. More...
void | request_id (const CosTrading::Admin::OctetSeq &request_id)
| Set the identifier for this query (clients shouldn't use this). More...
void | exact_type_match (CORBA::Boolean exact_type)
| Search only the designated type --- not it's subtypes. More...
| operator const CosTrading::PolicySeq & (void) const
| Return the constructed policy sequence. More...
const CosTrading::PolicySeq & | policy_seq (void) const
| Return a PolicySeq suitable for passing to the query method of the Lookup interface. More...
## Private Methods
| TAO_Policy_Creator (const TAO_Policy_Creator &)
TAO_Policy_Creator & | operator= (const TAO_Policy_Creator &)
CosTrading::Policy & | fetch_next_policy (TAO_Policies::POLICY_TYPE pol_type)
| Method to prepare the next slot in the policies_ sequence for policy insertion. More...
## Private Attributes
int | poltable_ [TAO_Policies::REQUEST_ID+1]
| Table mapping policy enum value to the index in the policies sequence. More...
CosTrading::PolicySeq | policies_
| The sequence being prepared for submittal to the query method. More...
CORBA::ULong | num_policies_
| The number of policies so far in the sequence. More...

## Detailed Description

This class is a utility for clients using the CosTrading::Lookup interface that helps them build a policy sequence without violating syntax rules and having to mess with typecodes.

## Constructor & Destructor Documentation

TAO_Policy_Creator::TAO_Policy_Creator | ( | int | num_policies = 0 | ) |

TAO_Policy_Creator::TAO_Policy_Creator | ( | const TAO_Policy_Creator & |  | ) | `[private]`

## Member Function Documentation

void TAO_Policy_Creator::exact_type_match | ( | CORBA::Boolean | exact_type | ) |

| Search only the designated type --- not it's subtypes.

CosTrading::Policy & TAO_Policy_Creator::fetch_next_policy | ( | TAO_Policies::POLICY_TYPE | pol_type | ) | `[private]`

| Method to prepare the next slot in the policies_ sequence for policy insertion.

void TAO_Policy_Creator::hop_count | ( | CORBA::ULong | hop_count | ) |

| Limit the breadth of a federated query.

void TAO_Policy_Creator::link_follow_rule | ( | CosTrading::FollowOption | follow_option | ) |

| Specify under what conditions a federated query is appropriate.

void TAO_Policy_Creator::match_card | ( | CORBA::ULong | mcard | ) |

| Set the maximum number of offers searched for the query.

TAO_Policy_Creator::operator const CosTrading::PolicySeq & | ( | void |  | ) | const

| Return the constructed policy sequence.

TAO_Policy_Creator& TAO_Policy_Creator::operator= | ( | const TAO_Policy_Creator & |  | ) | `[private]`

const CosTrading::PolicySeq & TAO_Policy_Creator::policy_seq | ( | void |  | ) | const

| Return a PolicySeq suitable for passing to the query method of the Lookup interface.

void TAO_Policy_Creator::request_id | ( | const CosTrading::Admin::OctetSeq & | request_id | ) |

| Set the identifier for this query (clients shouldn't use this).

void TAO_Policy_Creator::return_card | ( | CORBA::ULong | rcard | ) |

| Set the maximum number of offers rerturned for the query.

void TAO_Policy_Creator::search_card | ( | CORBA::ULong | scard | ) |

| Set the maximum number of offers searched for the query.

void TAO_Policy_Creator::starting_trader | ( | CosTrading::TraderName * | name | ) |

void TAO_Policy_Creator::starting_trader | ( | const CosTrading::TraderName & | name | ) |

| Designate a trader at which to begin the query.

void TAO_Policy_Creator::use_dynamic_properties | ( | CORBA::Boolean | dyn_props | ) |

| Consider offers with dynamic properties.

void TAO_Policy_Creator::use_modifiable_properties | ( | CORBA::Boolean | mod_props | ) |

| Consider offers with modifiable properties.

void TAO_Policy_Creator::use_proxy_offers | ( | CORBA::Boolean | prox_offs | ) |

| Consider proxy offers (NOT SUPPORTED).

## Member Data Documentation

CORBA::ULong TAO_Policy_Creator::num_policies_`[private]`

| The number of policies so far in the sequence.

CosTrading::PolicySeq TAO_Policy_Creator::policies_`[private]`

| The sequence being prepared for submittal to the query method.

int TAO_Policy_Creator::poltable_[TAO_Policies::REQUEST_ID + 1]`[private]`

| Table mapping policy enum value to the index in the policies sequence.

The documentation for this class was generated from the following files:

- Trader_Utils.h
- Trader_Utils.cpp